Skip to main content
GET
aid_orders_get

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Query Parameters

starting_after
string<uuid>

cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

limit
integer
default:10

A limit on the number of objects to be returned. Limit can range between 1 and 100 items, and the default is 10 items.

Required range: 1 <= x <= 100
status
enum<string>[]

filter by order status

Available options:
open,
closed,
cancelled
payment_status
enum<string>[]

filter by payment status

Available options:
pending,
partially_paid,
paid,
partially_refunded,
refunded
created_at.gte
string<date>

filter by created_at, greater than or equal (after)

created_at.lte
string<date>

filter by created_at, less than or equal (before)

include_events
enum<string>[]

include order events in response

Available options:
false,
true,
api-event,
service-event
card_brand
string[]

Filter on payment details, the card brand for payment

card_number
string<\s{4}>[]

Filter on payment details, the last 4 numbers for the card

psp
string[]

Filter on payment details, psp

payment_product
string[]

Filter on payment details, payment product

payment_product_type
string[]

Filter on payment details, payment product type

net_amount.gte
integer

Lower limit for filtering on order net_amount.

Required range: x >= 0
net_amount.lte
integer

Upper limit for filtering on order net_amount.

Required range: x >= 0
currency
string<iso-4217>[]

Filter on order currency (3-letter currency code)

Will try to match the search to either order_id, external_ids or customer phone_number, email, name or customer_id.

itinerary_travel_mode
enum<string>[]
Available options:
BUS,
CAR,
FERRY,
METRO,
TAXI,
TRAIN,
TRAM,
WALK,
WAIT,
CUSTOM
itinerary_arrival_address
string
itinerary_departure_address
string
items_discount_lines_discount_type
enum<string>[]
Available options:
customer,
periodic,
manual,
loyalty,
total,
employee,
external

Response

order collection

orders
object[]
required
Last modified on July 7, 2026